Subject: bug#54081:

From: Marek Ľach <[email-masked]>
Date: Tue, 22 Feb 2022 17:03:57 +0100 (CET)

I should clarify, that I do not consider this a very important issue really, but rather a nice-to-have.

It is more of a suggestion for when the name of the buffer doesn’t yet appear in the MODE line, because it hasn’t been saved yet for example (like if a document is being created in a persistant buffer first, but not yet saved...) 
Which makes me think that I should have formulated the suggestion quite a bit better at the start: 

If hitting C-b Beggining of buffer, state it the buffer is not named too, like: Beggining of buffer. <Unknown name>. If the buffer is already saved/named, then perhaps state something like: Beginning of buffer. Saved as: mygreatnovel.org <http://mygreatnovel.org>

As such this functionality wouldn’t be for displaying the name of the buffer per-se, but for displaying the name of the buffer (or perhaps even informing the user about the lack of thereof?), only when certain actions with that buffer are performed, like saving/mamina, renaming/changing extension/switching mode etc...